Package com.destroystokyo.paper.exception

# Class ServerInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerInternalException

All Implemented Interfaces:
  `Serializable`

public class ServerInternalException extends ServerException
Thrown when the internal server throws a recoverable exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ServerInternalException(String message)`
``
`ServerInternalException(String message, Throwable cause)`
`protected`
`ServerInternalException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
``
`ServerInternalException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`reportInternalException(Throwable cause)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerInternalException

public ServerInternalException(String message)

### ServerInternalException

public ServerInternalException(String message, Throwable cause)

### ServerInternalException

public ServerInternalException(Throwable cause)

### ServerInternalException

protected ServerInternalException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)

## Method Details

### reportInternalException

public static void reportInternalException(Throwable cause)